bennaGriglia = {};
function bennaGriglia.prerequisitesPresent(specializations) return true; end;
function bennaGriglia:load(xmlFile) end;
function bennaGriglia:delete() end;
function bennaGriglia:mouseEvent(posX, posY, isDown, isUp, button) end;
function bennaGriglia:keyEvent(unicode, sym, modifier, isDown) end;
function bennaGriglia:update(dt) end;
function bennaGriglia:loadFromAttributesAndNodes(xmlFile, key, resetVehicles) return BaseMission.VEHICLE_LOAD_OK; end;
function bennaGriglia:getSaveAttributesAndNodes(nodeIdent) end;
function bennaGriglia:updateTick(dt) end;
function bennaGriglia:draw() end;
function bennaGriglia:onAttach(attacherVehicle, jointDescIndex)  end;
function bennaGriglia:onDetach() end;
function bennaGriglia:onDeactivate() end;